// Pentagram.cpp

#include "StdAfx.h"

#include "Pentagram.h"

using namespace Test7;

void Pentagram::SetLocation(Point location)
{
  m_location = location;
}

void Pentagram::Draw(Graphics ^gr)
{
  array<Point> ^pts = gcnew array<Point>(6);
  for (int i = 0; i < 6; ++i)
    pts[i] = m_location + Size(m_radius * Math::Sin(0.8 * Math::PI * i), m_radius * Math::Cos(0.8 * Math::PI * i));
  gr->DrawLines(Pens::Red, pts);
}
