// PentagramBox.h

#pragma once

#include "Pentagram.h"

namespace Test7
{

using namespace System;
using namespace System::Windows;
using namespace System::Windows::Forms;
using namespace System::Drawing;

public ref class PentagramBox : public PictureBox
{
public:
  PentagramBox(Control ^parent, Rectangle bounds);

protected:
  virtual void OnPaint(PaintEventArgs ^pe) override;
  virtual void OnMouseDown(MouseEventArgs ^e) override;
  virtual void OnMouseUp(MouseEventArgs ^e) override;
  virtual void OnMouseMove(MouseEventArgs ^e) override;

private:
  Pentagram ^pent;
  bool dragging;
  Point lastmousepos;

private:
  PentagramBox() {}  // Disable default construction
};

}
